import * as actions from './actions'
import getters from './getters'
import mutations from './mutations'
import { MASTER_DATA_KEYS } from '../../utils/localStorageKeys'

const state = {
  master_data: JSON.parse(localStorage.getItem(MASTER_DATA_KEYS)) || {},
  master_data_enrolement: {},
  lastLoadedTimeStamp: Date.now(),
}

export default {
  state,
  actions,
  mutations,
  getters,
}
